(function ($) {

    $(document).ready(function () {
        $('.sortable-table').DataTable({
            // stateSave: true,
            "searching": false,
            "lengthChange": false,
            "paging": false,
            "info": false,
            'columnDefs': [{
                'targets': [0],
                'orderable': false,
            }]
        });
    });

    $(document).on("click", ".download-adsense", function (e) {
        var titles = ["Date", "Page views", "Impressions", "Clicks", "RPM", "Revenue", "Earnings"];
            var data = [];
            // var dateData = $('#reportrangemodal').data('daterangepicker');
            // var startDate = dateData.startDate.format('MMM Do YYYY');
            // var endDate = dateData.endDate.format('MMM Do YYYY');
            // var siteTitle = $("#siteStats .modal-title").text();
            let title= $(".site-title").text();
            let start = new Date($(".start").val()).toDateString();
            let end = new Date($(".end").val()).toDateString();

            let file_name = title+" ("+start +" - "+end+").csv";
            // console.log(title);
            // console.log(start);
            // console.log(end);
            // console.log(file_name);
            /*
             * Get the table headers, this will be CSV headers
             * The count of headers will be CSV string separator
             */
            // $('.modal-revenue-table th').each(function() {
            //     titles.push($(this).text());
            // });

            /*
             * Get the actual data, this will contain all the data, in 1 array
             */
            $('.modal-revenue-table td').each(function () {
                let text = $(this).text();
                // text = text.replace(/ /g, "").replace(/,/g, "").replace(/\n/g, "");
                text = text.replace(/[\n,]/g, "");
                data.push(text);
            });

            // console.log(data);

            /*
             * Convert our data to CSV string
             */
            var CSVString = prepCSVRow(titles, titles.length, '');
            CSVString = prepCSVRow(data, titles.length, CSVString);

            /*
             * Make CSV downloadable
             */
            var downloadLink = document.createElement("a");
            var blob = new Blob(["\ufeff", CSVString]);
            var url = URL.createObjectURL(blob);
            downloadLink.href = url;
            downloadLink.download = file_name;

            /*
             * Actually download CSV
             */
            document.body.appendChild(downloadLink);
            downloadLink.click();
            document.body.removeChild(downloadLink);
    });

    function prepCSVRow(arr, columnCount, initial) {
        var row = ''; // this will hold data
        var delimeter = ','; // data slice separator, in excel it's `;`, in usual CSv it's `,`
        var newLine = '\r\n'; // newline separator for CSV row

        /*
         * Convert [1,2,3,4] into [[1,2], [3,4]] while count is 2
         * @param _arr {Array} - the actual array to split
         * @param _count {Number} - the amount to split
         * return {Array} - splitted array
         */
        function splitArray(_arr, _count) {
            var splitted = [];
            var result = [];
            _arr.forEach(function (item, idx) {
                if ((idx + 1) % _count === 0) {
                    splitted.push(item);
                    result.push(splitted);
                    splitted = [];
                } else {
                    splitted.push(item);
                }
            });
            return result;
        }
        var plainArr = splitArray(arr, columnCount);
        // don't know how to explain this
        // you just have to like follow the code
        // and you understand, it's pretty simple
        // it converts `['a', 'b', 'c']` to `a,b,c` string
        plainArr.forEach(function (arrItem) {
            arrItem.forEach(function (item, idx) {
                row += item + ((idx + 1) === arrItem.length ? '' : delimeter);
            });
            row += newLine;
        });
        return initial + row;
    }
    

})(jQuery);