<?php

/** 
 * Plugin Name: Earnlink
 * Description: Display Adsense Data
 * Version: 1.0
 **/
if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
define( 'RELIABLE_PATH_TWO', plugin_dir_path( __FILE__ ) );
define( 'RELIABLE_URL_TWO', plugins_url() . '/earnlink/' );

add_action( 'admin_menu', 'reliable_admin_menus' );
function reliable_admin_menus() {
    add_menu_page( 'Display', 'Display', 'read', 'earnlink-display-adsense', 'display_adsense_page', 'dashicons-list-view', 6  );

}
add_action( 'admin_head', function() {
    remove_menu_page( "earnlink-display-adsense" );
});

add_action( 'admin_enqueue_scripts', 'earnlink_scripts' );
function earnlink_scripts($hook){
    $reliable_pages=array(
        'toplevel_page_earnlink-display-adsense',
    );
    if( !in_array($hook, $reliable_pages) ) {
        return;
    }
	wp_enqueue_style('roboto-font', 'https://fonts.googleapis.com/css?family=Roboto');
	wp_enqueue_style('earn-bootstrap', 'https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css');
	wp_enqueue_script('earn-bootstrap-bundle','https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js', array('jquery'), false, true);

    //canvas js
	wp_enqueue_script('earn-canvas', 'https://cdn.jsdelivr.net/npm/apexcharts', array("jquery"),false, true);

    //DATATABLES CSS & JS
	wp_enqueue_style('earn-dataTables-bootstrap4', 'https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css');
	wp_enqueue_script('earn-datatable', 'https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js', ['jquery'],false, true);
	wp_enqueue_script('earn-datatable-bootstrap', 'https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js', ['jquery'],false, true);

    // CUSTOM JS & CSS
    wp_enqueue_style('earn-style', RELIABLE_URL_TWO . 'assets/css/style.css');
	wp_enqueue_script('earn-custom', RELIABLE_URL_TWO . 'assets/js/custom.js', array("jquery"),false, true);


	wp_localize_script( "earn-custom", "ajax_object", array( "ajax_url" => admin_url( "admin-ajax.php" ) ) );
}



function display_adsense_page(){
	include( RELIABLE_PATH_TWO . 'template/template-display-adsense.php');
}

 function my_admin_links( $admin_bar ) {
    $admin_bar->add_menu( array(
        "id" => "my-admin-front-page", 
        "title" => "Earnlink: ".explode( '//', get_bloginfo("url") )[1],
        // "title" => "absolutenews.com",
        "href" => "admin.php?page=earnlink-display-adsense"
        // "href" => "admin.php?page=earnlink-site-revenue&percentage=80&end_past=2021-06-14&start_past=2021-05-30&website_url=absolutenews.com&start=2021-06-15&end=2021-06-30&is_custom_site=true",
        ) );
 }

add_action( "admin_bar_menu", "my_admin_links", 100)
?>